For the complete documentation index, see llms.txt. This page is also available as Markdown.

List deliveries for an order

List all deliveries for a specific order

get
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/deliveries
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/deliveries
GET /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/deliveries HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "deliveryUid": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "signature": "text",
      "note": "text",
      "deliveryState": "NOT_DELIVERED",
      "externalDeliveryReference": "text",
      "items": [
        {
          "deliveryItemUid": "text",
          "quantityDelivered": 1,
          "serialnumber": "text",
          "sku": "text",
          "warehouseUid": "text",
          "warehouseName": "text",
          "tenantUserUid": "text",
          "tenantUserDisplayName": "text"
        }
      ],
      "orderItems": [
        {
          "actions": [
            {
              "comment": "text",
              "createdAt": "2026-01-01T00:00:00.000Z",
              "createdBy": "text",
              "handlingActionUid": "text",
              "handlingActionName": "text",
              "handlingDescription": "text",
              "handlingUid": "text",
              "handlingName": "text",
              "lastModifiedAt": "2026-01-01T00:00:00.000Z",
              "lastModifiedBy": "text",
              "orderHandlingActionUid": "text"
            }
          ],
          "allowedActions": [
            "QUANTITY_SOLD"
          ],
          "createdAt": "2026-01-01T00:00:00.000Z",
          "discountReasonCode": "text",
          "externalId": "text",
          "externalOrderLinks": [
            {
              "orderId": "text",
              "orderNumber": "text",
              "orderItemId": "text",
              "system": "text",
              "type": "CREDIT"
            }
          ],
          "itemCost": 1,
          "itemDiscountAmount": 1,
          "itemDiscountPercentage": 1,
          "itemGrossProfitAmount": 1,
          "itemGrossProfitPercentage": 1,
          "itemPrice": 1,
          "itemVatAmount": 1,
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "ledgerNumber": "text",
          "name": "text",
          "note": "text",
          "orderItemReference": "text",
          "orderItemUid": "text",
          "orderLinks": [
            {
              "orderUid": "text",
              "orderItemUid": "text",
              "orderNumber": "text",
              "storeUid": "text",
              "type": "CREDIT"
            }
          ],
          "originalItemPrice": 1,
          "productUid": "text",
          "productType": "STOCK",
          "properties": [
            {
              "uid": "text",
              "key": "text",
              "value": "text"
            }
          ],
          "quantityCredited": 1,
          "quantityDelivered": 1,
          "quantityOrdered": 1,
          "quantityReserved": 1,
          "returnReasonCode": "text",
          "returnReference": "text",
          "serialnumber": "text",
          "sku": "text",
          "sortOrder": 1,
          "tenantUserDisplayName": "text",
          "tenantUserUid": "text",
          "totalCost": 1,
          "totalDiscountAmount": 1,
          "totalGrossProfitAmount": 1,
          "totalPrice": 1,
          "totalVatAmount": 1,
          "vatCodeUid": "text",
          "warehouseUid": "text",
          "warehouseName": "text",
          "internalInfo": "text",
          "productProperties": [
            {
              "productPropertyUid": "text",
              "propertyName": "text",
              "propertyOptionName": "text",
              "propertyType": "TEXT",
              "propertyText": "text",
              "propertyUid": "text",
              "propertyOptionUid": "text",
              "required": true
            }
          ],
          "coverImage": {
            "productMediaUid": "text",
            "mainUrl": "text",
            "thumbnailUrl": "text"
          },
          "deliveryUid": "text",
          "compensationReasonCode": "text",
          "orderReceiptUid": "text",
          "allowDelivery": "YES",
          "allowDeliveryFromDate": "2026-01-01T00:00:00.000Z",
          "reservationType": "NONE",
          "reservationDetails": {
            "warehouse": {
              "warehouseName": "text"
            },
            "purchaseOrder": {
              "purchaseOrderUid": "text",
              "purchaseOrderItemUid": "text",
              "expectedDeliveryDate": "2026-01-01T00:00:00.000Z",
              "purchaseOrderNumber": "text",
              "quantityOrdered": 1,
              "externalId": "text"
            },
            "receivement": {
              "receivementUid": "text",
              "receivementItemUid": "text",
              "expectedArrival": "2026-01-01T00:00:00.000Z",
              "expectedDispatch": "2026-01-01T00:00:00.000Z",
              "quantity": 1,
              "supplierOrderReference": "text",
              "receivedAt": "2026-01-01T00:00:00.000Z"
            },
            "interStorePurchaseOrder": {
              "storeUid": "text",
              "storeName": "text",
              "purchaseOrderUid": "text",
              "purchaseOrderNumber": "text",
              "purchaseOrderItemUid": "text"
            },
            "interStorePurchaseOrderReceivement": {
              "receivementUid": "text",
              "receivementItemUid": "text",
              "expectedArrival": "2026-01-01T00:00:00.000Z",
              "expectedDispatch": "2026-01-01T00:00:00.000Z",
              "quantity": 1,
              "supplierOrderReference": "text",
              "receivedAt": "2026-01-01T00:00:00.000Z"
            }
          },
          "interStoreOrderReservationQuantity": 1,
          "gtins": [
            {
              "gtin": "text",
              "primary": true,
              "type": "text"
            }
          ],
          "usesVatMarginScheme": true
        }
      ],
      "shipping": {
        "deliveryCustomerAddressUid": "text",
        "deliveryAddress": {
          "address": "text",
          "city": "text",
          "companyName": "text",
          "countryCode": "text",
          "email": "text",
          "mobile": "text",
          "firstname": "text",
          "lastname": "text",
          "postalCode": "text",
          "displayName": "text",
          "customerAddressUid": "text"
        },
        "pickupPoint": {
          "pickupPointId": "text",
          "pickupPointType": "text",
          "name": "text",
          "address": "text",
          "postalCode": "text",
          "city": "text",
          "countryCode": "text"
        },
        "trackingNumber": "text",
        "deliveryProviderUid": "text",
        "deliveryProviderMethodUid": "text",
        "deliveryProviderMethodTimeslotUid": "text",
        "timeslot": {
          "name": "text",
          "fromTime": "00:00:00",
          "toTime": "00:00:00"
        },
        "deliveryProviderProcessIndicator": "text",
        "freightOrderItemUid": "text",
        "shippingId": 1,
        "expectedDeliveryDate": "2026-01-01",
        "agreedDeliveryDate": "2026-01-01"
      },
      "storePickup": {
        "earliestPickupDate": "2026-01-01",
        "agreedPickupDate": "2026-01-01",
        "latestPickupDate": "2026-01-01"
      },
      "deliveredDate": "2026-01-01"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?